<?php
/**
 * sublayout products
 *
 * @package	VirtueMart
 * @author Max Milbers
 * @link ${PHING.VM.MAINTAINERURL}
 * @copyright Copyright (c) 2014 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL2, see LICENSE.php
 * @version $Id: cart.php 7682 2014-02-26 17:07:20Z Milbo $
 */

defined('_JEXEC') or die('Restricted access');
$products_per_row = empty($viewData['products_per_row'])? 1:$viewData['products_per_row'] ;
$currency = $viewData['currency'];
$showRating = $viewData['showRating'];
$verticalseparator = " vertical-separator";
echo shopFunctionsF::renderVmSubLayout('askrecomjs');

$ItemidStr = '';
$Itemid = shopFunctionsF::getLastVisitedItemId();
if(!empty($Itemid)){
	$ItemidStr = '&Itemid='.$Itemid;
}

$dynamic = false;
if (vRequest::getInt('dynamic',false)) {
	$dynamic = true;
}

foreach ($viewData['products'] as $type => $products ) {

	$col = 1;
	$nb = 1;
	$row = 1;

	if($dynamic){
		$rowsHeight[$row]['product_s_desc'] = 1;
		$rowsHeight[$row]['price'] = 1;
		$rowsHeight[$row]['customfields'] = 1;
		$col = 2;
		$nb = 2;
	} else {
		$rowsHeight = shopFunctionsF::calculateProductRowsHeights($products,$currency,$products_per_row);

		if( (!empty($type) and count($products)>0) or (count($viewData['products'])>1 and count($products)>0)){
			$productTitle = vmText::_('COM_VIRTUEMART_'.strtoupper($type).'_PRODUCT'); ?>
	<div class="<?php echo $type ?>-view">
	  <h4><?php echo $productTitle ?></h4>
			<?php // Start the Output
		}
	}
//print_r($products);
	// Calculating Products Per Row
	$cellwidth = ' width'.floor ( 100 / $products_per_row );

	$BrowseTotalProducts = count($products);

	//print_r($products[0]);

	$p_category_id = vRequest::getCmd('virtuemart_category_id','');
    $p_finish = vRequest::getCmd('finish','');
    $p_ornament = vRequest::getCmd('ornament','-1');
    $p_rabbet = vRequest::getCmd('rabbet','-1');
    $p_woodwidth = vRequest::getCmd('woodwidth','-1');
    if ($p_category_id==1 && ($p_finish !='' || $p_ornament !='-1' || $p_rabbet !='-1' || $p_woodwidth  !='-1')) {
        $strUrlParams = "&cq=1&finish=" . $p_finish ."&ornament=". $p_ornament ."&rabbet=".$p_rabbet."&woodwidth=".$p_woodwidth;
    }
    else {
        $strUrlParams = "";
    }
	
	//Code to append cherry picker filter parameters to url so that the filtered context is retained

	$p_cherrypicker_filters = '';
	if (vRequest::getCmd('custom_parent_id','')!='')
    $p_cherrypicker_filters = '&custom_parent_id='.vRequest::getCmd('custom_parent_id','');
	if (vRequest::getCmd('vendor_name','')!='')
    $p_cherrypicker_filters = $p_cherrypicker_filters . '&vendor_name='.vRequest::getCmd('vendor_name','');
	if (vRequest::getCmd('availability','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&availability='.vRequest::getCmd('availability','');
	if (vRequest::getCmd('type','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&type='.vRequest::getCmd('type','');
	if (vRequest::getCmd('size','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&size='.vRequest::getCmd('size','');
	if (vRequest::getCmd('core','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&core='.vRequest::getCmd('core','');
	if (vRequest::getCmd('thickness','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&thickness='.vRequest::getCmd('thickness','');
	if (vRequest::getCmd('finish','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&finish='.vRequest::getCmd('finish','');
	if (vRequest::getCmd('low-price','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&low-price='.vRequest::getCmd('low-price','');
	if (vRequest::getCmd('high-price','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&high-price='.vRequest::getCmd('high-price','');
	if (vRequest::getCmd('low-chopprice','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&low-chopprice='.vRequest::getCmd('low-chopprice','');
	if (vRequest::getCmd('high-chopprice','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&high-chopprice='.vRequest::getCmd('high-chopprice','');
	if (vRequest::getCmd('low-joinprice','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&low-joinprice='.vRequest::getCmd('low-joinprice','');
	if (vRequest::getCmd('high-joinprice','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&high-joinprice='.vRequest::getCmd('high-joinprice','');

	foreach ( $products as $product ) {
		if(!is_object($product) or empty($product->link)) {
			vmdebug('$product is not object or link empty',$product);
			continue;
		}
		// Show the horizontal seperator
		if ($col == 1 && $nb > $products_per_row) { ?>
	<div class="horizontal-separator"></div>
		<?php }

		// this is an indicator wether a row needs to be opened or not
		if ($col == 1) { ?>
	<div class="row">
		<?php }

		// Show the vertical seperator
		if ($nb == $products_per_row or $nb % $products_per_row == 0) {
			$show_vertical_separator = ' ';
		} else {
			$show_vertical_separator = $verticalseparator;
		}

    // Show Products ?>
	<div class="product vm-col<?php echo ' vm-col-' . $products_per_row . $show_vertical_separator ?>">
		<div class="spacer product-container">
			<div class="vm-product-media-container">

					<a title="<?php echo $product->product_name ?>" href="<?php echo $product->link.$ItemidStr.$strUrlParams.$p_cherrypicker_filters; ?>">
						<?php
						echo $product->images[0]->displayMediaThumb('class="browseProductImage"', false);
						?>
					</a>

			</div>

			<div class="vm-product-rating-container">
				<?php echo shopFunctionsF::renderVmSubLayout('rating',array('showRating'=>$showRating, 'product'=>$product));
				if ( VmConfig::get ('display_stock', 1)) { ?>
					<span class="vmicon vm2-<?php echo $product->stock->stock_level ?>" title="<?php echo $product->stock->stock_tip ?>"></span>
				<?php }
				echo shopFunctionsF::renderVmSubLayout('stockhandle',array('product'=>$product));
				?>
			</div>


				<div class="vm-product-descr-container-<?php echo $rowsHeight[$row]['product_s_desc'] ?>">
				
					<?php
							
						if(isset($product->customfields) && count($product->customfields)<=0) {
							$customFieldsModel = VmModel::getModel('customfields');
							$product->customfields = $customFieldsModel->getCustomEmbeddedProductCustomFields($product->allIds,0,-1);
						}

						//Get custom fields data and loop through to note the chop, join and QB pricing details
						foreach($product->customfields as $customfield){
							if($customfield->virtuemart_custom_id==17) {
								$chop_price = $customfield->customfield_value; 
							} else if ($customfield->virtuemart_custom_id==18) {
								$join_price = $customfield->customfield_value; 
							} else if ($customfield->virtuemart_custom_id==19) {
								$sheet_price = $customfield->customfield_value; 
							}else if ($customfield->virtuemart_custom_id==4) {
								$item_no = $customfield->customfield_value; 
							}else if ($customfield->virtuemart_custom_id==5) {
								$vendor_name = $customfield->customfield_value; 								
							}else if ($customfield->virtuemart_custom_id==7) {
								$type = $customfield->customfield_value; 								
							}else if ($customfield->virtuemart_custom_id==8) {
								$category = $customfield->customfield_value; 								
							}else if ($customfield->virtuemart_custom_id==11) {
								$size = $customfield->customfield_value; 								
							}else if ($customfield->virtuemart_custom_id==14) {
								$finish = $customfield->customfield_value; 
							}else if ($customfield->virtuemart_custom_id==16) {
								$rabbet = shopFunctionsF::dec2fraction($customfield->customfield_value); 
							}

							/*else if ($customfield->virtuemart_custom_id==20) {
								$qb1_price = $customfield->customfield_value; 
							} else if ($customfield->virtuemart_custom_id==21) {
								$qb2_price = $customfield->customfield_value; 
							} else if ($customfield->virtuemart_custom_id==22) {
								$qb3_price = $customfield->customfield_value; 
							}*/
						}	
						//vmdebug('VMProduct',$product);		
						$verified_category_id = $product->virtuemart_category_id;
						if ($product->virtuemart_category_id==16) {
							foreach($product->categoryItem as $varcategory){
								
								if ($varcategory['virtuemart_category_id'] != 16) {
									$verified_category_id = $varcategory['virtuemart_category_id'];
									break;
								}
							}
						}
										
					?>
					
					<h4><?php if(!empty($product->product_sku)) echo 'Item No: '.$product->product_sku ?></h4>
					<h4><?php if(!empty($product->product_name)) echo $product->product_name ?></h4>
					
					<?php if($verified_category_id==1) {?>
					
					<h4><?php if(!empty($finish)) echo 'Finish: '.$finish ?></h4>
					<h4><?php if(!empty($rabbet)) echo 'Rabbet: '.$rabbet ?></h4>
					
					<?php 					
					} else if ($verified_category_id==3 || $verified_category_id==4 || $verified_category_id==5) {
					?>
					<h4><?php if(!empty($vendor_name)) echo 'Vendor Name: '.$vendor_name ?></h4>
					<h4><?php if(!empty($type)) echo 'Type: '.$type ?></h4>

					<?php 					
					} else if ($verified_category_id==7 || $verified_category_id==8 || $verified_category_id==13 || $verified_category_id==14) {
					?>
					<h4><?php if(!empty($type)) echo 'Type: '.$type ?></h4>
					<h4><?php if(!empty($category)) echo 'Category: '.$category ?></h4>
					<?php 					
					} else if ($verified_category_id==10 ) {
					?>
					<h4><?php if(!empty($vendor_name)) echo 'Vendor Name: '.$vendor_name ?></h4>
					<h4><?php if(!empty($size)) echo 'Mat Size: '.$size ?></h4>
					<h4><?php if(!empty($type)) echo 'Type: '.$type ?></h4>
										<?php 					
					} else if ($verified_category_id==11 ) {
					?>
					<h4><?php if(!empty($vendor_name)) echo 'Vendor Name: '.$vendor_name ?></h4>
					<h4><?php if(!empty($size)) echo 'Foam Size: '.$size ?></h4>
					<h4><?php if(!empty($type)) echo 'Type: '.$type ?></h4>
					<?php
					}
					?>
					<?php
						$user = &JFactory::getUser();
					    if($user->id > 0){
						  $group_id = 3;
						  $group_name = "";
						  $artist = 0;
						  $userGroups = $user->getAuthorisedGroups();
						   for($i=0; $i<count($userGroups); $i++){
								if($userGroups[$i]==$group_id) break;
							}
							if($userGroups[$i]==$group_id) {
								$group_name = "Wholesale";
							} else {
								$group_name = "Artist";
							}
							
							if($group_name=="Artist") {
								$artist = VmConfig::get('artist_user_config',0);
							}
					?>
					<?php if($verified_category_id==1) {?>

					
					<h4><?php if(!empty($product->prices['product_price'])) echo 'Length Price: <b>$'. number_format((float) ($product->prices['product_price'] + ( $product->prices['product_price'] * ($artist/100) ) ) , 2, '.', '') . '</b>'?></h4>
					<h4><?php if(!empty($chop_price)) echo 'Chop Price: $'. number_format((float)($chop_price + ( $chop_price * ($artist/100) ) ), 2, '.', '') ?></h4>
					<h4><?php if(!empty($join_price)) echo 'Join Price: $'. number_format((float)($join_price + ( $join_price * ($artist/100) ) ) , 2, '.', '') ?></h4>
					<?php 					
					} else if ($verified_category_id==7) {
					?>					
					<h4><?php if(!empty($product->prices['product_price'])) echo 'Length Price: <b>$'. number_format((float)($product->prices['product_price'] + ( $product->prices['product_price'] * ($artist/100) ) ) , 2, '.', '') . '</b>'?></h4>
					<h4><?php if(!empty($chop_price)) echo 'Chop Price: $'. number_format((float)($chop_price + ( $chop_price * ($artist/100) ) ) , 2, '.', '') ?></h4>					
					<?php 					
					} else if ($verified_category_id==3 || $verified_category_id==4 || $verified_category_id==5 || $verified_category_id==8 || $verified_category_id==10 || $verified_category_id==13 || $verified_category_id==14 || $verified_category_id==22) {
					?>
					<h4><?php if(!empty($product->prices['product_price'])) echo 'Standard Price: <b>$'. number_format((float)($product->prices['product_price'] + ( $product->prices['product_price'] * ($artist/100) ) ) , 2, '.', '') . '</b>'?></h4>
					<?php 					
					} else if ($verified_category_id==11) {
					?>
					<h4><?php if(!empty($product->prices['product_price'])) echo 'Case Price: <b>$'. number_format((float) ($product->prices['product_price'] + ( $product->prices['product_price'] * ($artist/100) ) ), 2, '.', '') . '</b>'?></h4>					
					
					<?php
					}
					?>

					
					<?php
					}
					?>
					
					
					<?php if(!empty($rowsHeight[$row]['product_s_desc'])){
					?>
					<p class="hide product_s_desc">
						<?php // Product Short Description
						
						if (!empty($product->product_s_desc)) {
							echo shopFunctionsF::limitStringByWord ($product->product_s_desc, 60, ' ...') ?>
						<?php } ?>
					</p>
			<?php  } ?>
				</div>


			<?php //echo $rowsHeight[$row]['price'] ?>
			<div class="hide vm3pr-<?php echo $rowsHeight[$row]['price'] ?>"> <?php
				echo shopFunctionsF::renderVmSubLayout('prices',array('product'=>$product,'currency'=>$currency)); ?>
				<div class="clear"></div>
			</div>
			<?php //echo $rowsHeight[$row]['customs'] ?>
			<div class="hide vm3pr-<?php echo $rowsHeight[$row]['customfields'] ?>"> <?php
				echo shopFunctionsF::renderVmSubLayout('addtocart',array('product'=>$product,'rowHeights'=>$rowsHeight[$row], 'position' => array('ontop', 'addtocart'))); ?>
			</div>

			<div class="vm-details-button hide">
				<?php // Product Details Button
				$link = empty($product->link)? $product->canonical:$product->link;
				echo JHtml::link($link.$ItemidStr,vmText::_ ( 'COM_VIRTUEMART_PRODUCT_DETAILS' ), array ('title' => $product->product_name, 'class' => 'product-details' ) );
				//echo JHtml::link ( JRoute::_ ( 'index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $product->virtuemart_product_id . '&virtuemart_category_id=' . $product->virtuemart_category_id , FALSE), vmText::_ ( 'COM_VIRTUEMART_PRODUCT_DETAILS' ), array ('title' => $product->product_name, 'class' => 'product-details' ) );
				?>
			</div>
		<?php if(vRequest::getInt('dynamic')){
			echo vmJsApi::writeJS();
		} ?>
		</div>
	</div>

	<?php
    $nb ++;

      // Do we need to close the current row now?
      if ($col == $products_per_row || $nb>$BrowseTotalProducts) { ?>
    <div class="clear"></div>
  </div>
      <?php
      	$col = 1;
		$row++;
    } else {
      $col ++;
    }
  }

      if( (!empty($type) and count($products)>0) or (count($viewData['products'])>1 and count($products)>0) ){
        // Do we need a final closing row tag?
        //if ($col != 1) {
      ?>
    <div class="clear"></div>
  </div>
    <?php
    // }
    }
  }
