<?php
/**
 *
 * Show the product details page
 *
 * @package	VirtueMart
 * @subpackage
 * @author Max Milbers, Eugen Stranz, Max Galt
 * @link ${PHING.VM.MAINTAINERURL}
 * @copyright Copyright (c) 2004 - 2014 VirtueMart Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 * VirtueMart is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * @version $Id: default.php 9505 2017-04-20 07:24:48Z Milbo $
 */
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

/* Let's see if we found the product */
if (empty($this->product)) {
	echo vmText::_('COM_VIRTUEMART_PRODUCT_NOT_FOUND');
	echo '<br /><br />  ' . $this->continue_link_html;
	return;
}

echo shopFunctionsF::renderVmSubLayout('askrecomjs',array('product'=>$this->product));

    $p_finish = vRequest::getCmd('finish','');
    $p_ornament = vRequest::getCmd('ornament','-1');
    $p_rabbet = vRequest::getCmd('rabbet','-1');
    $p_woodwidth = vRequest::getCmd('woodwidth','-1');
    if ($this->product->virtuemart_category_id =='1' && ($p_finish !='' || $p_ornament !='-1' || $p_rabbet !='-1' || $p_woodwidth  !='-1')) {
        $strUrlParams = "&cq=1&finish=" . $p_finish ."&ornament=". $p_ornament ."&rabbet=".$p_rabbet."&woodwidth=".$p_woodwidth;
    }
    else {
        $strUrlParams = "";
    }

if(vRequest::getInt('print',false)){ ?>
<body onload="javascript:print();">
<?php } ?>

	<?php // Back To Category Button
	if ($this->product->virtuemart_category_id) {
		$catURL =  JRoute::_('index.php?option=com_virtuemart&view=category&virtuemart_category_id='.$this->product->virtuemart_category_id, FALSE);
		$categoryName = vmText::_($this->product->category_name) ;
	} else {
		$catURL =  JRoute::_('index.php?option=com_virtuemart');
		$categoryName = vmText::_('COM_VIRTUEMART_SHOP_HOME') ;
	}
    
	
	//Code to append cherry picker filter parameters to url so that the filtered context is retained
	
	$p_cherrypicker_filters = '';
	if (vRequest::getCmd('custom_parent_id','')!='')
    $p_cherrypicker_filters = '&custom_parent_id='.vRequest::getCmd('custom_parent_id','');
	if (vRequest::getCmd('vendor_name','')!='')
    $p_cherrypicker_filters = $p_cherrypicker_filters . '&vendor_name='.vRequest::getCmd('vendor_name','');
	if (vRequest::getCmd('availability','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&availability='.vRequest::getCmd('availability','');
	if (vRequest::getCmd('type','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&type='.vRequest::getCmd('type','');
	if (vRequest::getCmd('size','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&size='.vRequest::getCmd('size','');
	if (vRequest::getCmd('core','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&core='.vRequest::getCmd('core','');
	if (vRequest::getCmd('thickness','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&thickness='.vRequest::getCmd('thickness','');
	if (vRequest::getCmd('finish','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&finish='.vRequest::getCmd('finish','');
	if (vRequest::getCmd('low-price','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&low-price='.vRequest::getCmd('low-price','');
	if (vRequest::getCmd('high-price','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&high-price='.vRequest::getCmd('high-price','');
	if (vRequest::getCmd('low-chopprice','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&low-chopprice='.vRequest::getCmd('low-chopprice','');
	if (vRequest::getCmd('high-chopprice','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&high-chopprice='.vRequest::getCmd('high-chopprice','');
	if (vRequest::getCmd('low-joinprice','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&low-joinprice='.vRequest::getCmd('low-joinprice','');
	if (vRequest::getCmd('high-joinprice','')!='')
	$p_cherrypicker_filters = $p_cherrypicker_filters . '&high-joinprice='.vRequest::getCmd('high-joinprice','');	
	
		
        $catURL = $catURL . $strUrlParams . $p_cherrypicker_filters;
	?>
	<div class="back-to-category">
    	<a href="<?php echo $catURL ?>" class="product-details" title="<?php echo $categoryName ?>"><?php echo vmText::sprintf('COM_VIRTUEMART_CATEGORY_BACK_TO',$categoryName) ?></a>
	</div>
	
<div class="product-container productdetails-view productdetails" >

    <?php
    // Product Navigation
    if (VmConfig::get('product_navigation', 1) && 1==0) {
	?>
        <div class="product-neighbours">
	    <?php
	    if (!empty($this->product->neighbours ['previous'][0])) {
		$prev_link = JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $this->product->neighbours ['previous'][0] ['virtuemart_product_id'] . '&virtuemart_category_id=' . $this->product->virtuemart_category_id, FALSE);
		echo JHtml::_('link', $prev_link, $this->product->neighbours ['previous'][0]
			['product_name'], array('rel'=>'prev', 'class' => 'previous-page','data-dynamic-update' => '1'));
	    }
	    if (!empty($this->product->neighbours ['next'][0])) {
		$next_link = JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $this->product->neighbours ['next'][0] ['virtuemart_product_id'] . '&virtuemart_category_id=' . $this->product->virtuemart_category_id, FALSE);
		echo JHtml::_('link', $next_link, $this->product->neighbours ['next'][0] ['product_name'], array('rel'=>'next','class' => 'next-page','data-dynamic-update' => '1'));
	    }
	    ?>
    	<div class="clear"></div>
        </div>
    <?php } // Product Navigation END
    ?>



    <?php // Product Title   ?>
    
    <?php // Product Title END   ?>

    <?php // afterDisplayTitle Event
    echo $this->product->event->afterDisplayTitle ?>

    <?php
    // Product Edit Link
    echo $this->edit_link;
    // Product Edit Link END
    ?>

    <?php
    // PDF - Print - Email Icon
    if (VmConfig::get('show_emailfriend') || VmConfig::get('show_printicon') || VmConfig::get('pdf_icon')) {
	?>
        <div class="hide icons">
	    <?php

	    $link = 'index.php?tmpl=component&option=com_virtuemart&view=productdetails&virtuemart_product_id=' . $this->product->virtuemart_product_id;

		echo $this->linkIcon($link . '&format=pdf', 'COM_VIRTUEMART_PDF', 'pdf_button', 'pdf_icon', false);
	    //echo $this->linkIcon($link . '&print=1', 'COM_VIRTUEMART_PRINT', 'printButton', 'show_printicon');
		echo $this->linkIcon($link . '&print=1', 'COM_VIRTUEMART_PRINT', 'printButton', 'show_printicon',false,true,false,'class="printModal"');
		$MailLink = 'index.php?option=com_virtuemart&view=productdetails&task=recommend&virtuemart_product_id=' . $this->product->virtuemart_product_id . '&virtuemart_category_id=' . $this->product->virtuemart_category_id . '&tmpl=component';
	    echo $this->linkIcon($MailLink, 'COM_VIRTUEMART_EMAIL', 'emailButton', 'show_emailfriend', false,true,false,'class="recommened-to-friend"');
	    ?>
    	<div class="clear"></div>
        </div>
    <?php } // PDF - Print - Email Icon END
    ?>

    <?php
    // Product Short Description
    if (!empty($this->product->product_s_desc)) {
	?>
        <div class="hide product-short-description">
	    <?php
	    /** @todo Test if content plugins modify the product description */
	    echo nl2br($this->product->product_s_desc);
	    ?>
        </div>
	<?php
    } // Product Short Description END

	echo shopFunctionsF::renderVmSubLayout('customfields',array('product'=>$this->product,'position'=>'ontop'));
    ?>

    <div class="vm-product-container">
	<div class="vm-product-media-container">
<?php
echo $this->loadTemplate('images');
?>
	</div>

	<div class="vm-product-details-container">
	<?php
	//echo shopFunctionsF::renderVmSubLayout('customfields',array('product'=>$this->product,'position'=>'normal'));
	
	
	?>
	
	
	<?php function dec2fraction($dec){
		$strFraction="";

		if(intval($dec)!=0){
			$strFraction = intval($dec);
		}
		switch($dec - intval($dec)){
			case 0.0625:
			$frac = "1/16";
			break;
			
			case 0.125:
			$frac = "1/8";
			break;
			
			case 0.1875:
			$frac = "3/16";
			break;
			
			case 0.25:
			$frac = "1/4";
			break;
			
			case 0.3125:
			$frac = "5/16";
			break;
			
			case 0.375:
			$frac = "3/8";
			break;
			
			case 0.4375:
			$frac = "7/16";
			break;	

			case 0.5:
			$frac = "1/2";
			break;	

			case 0.5625:
			$frac = "9/16";
			break;

			case 0.625:
			$frac = "5/8";
			break;

			case 0.6875:
			$frac = "11/16";
			break;	

			case 0.75:
			$frac = "3/4";
			break;	

			case 0.8125:
			$frac = "13/16";
			break;

			case 0.875:
			$frac = "7/8";
			break;	

			case 0.9375:
			$frac = "15/16";
			break;			
		}
		$strFraction = $strFraction." ". $frac;
		return $strFraction;
	}
	?>	
	
					<?php
						if(count($this->product->customfields)<=0) {
							$customFieldsModel = VmModel::getModel('customfields');
							$this->product->customfields = $customFieldsModel->getCustomEmbeddedProductCustomFields($this->product->allIds,0,-1);
						}

						//Get custom fields data and loop through to note the chop, join and QB pricing details
						foreach($this->product->customfields as $customfield){
							if($customfield->virtuemart_custom_id==17) {
								$chop_price = $customfield->customfield_value; 
							} else if ($customfield->virtuemart_custom_id==18) {
								$join_price = $customfield->customfield_value; 
							} else if ($customfield->virtuemart_custom_id==19) {
								$sheet_price = $customfield->customfield_value; 
							}else if ($customfield->virtuemart_custom_id==4) {
								$item_no = $customfield->customfield_value; 
							}else if ($customfield->virtuemart_custom_id==5) {
								$vendor_name = $customfield->customfield_value; 								
							}else if ($customfield->virtuemart_custom_id==6) {
								$availability = $customfield->customfield_value; 								
							}else if ($customfield->virtuemart_custom_id==7) {
								$type = $customfield->customfield_value; 								
							}else if ($customfield->virtuemart_custom_id==8) {
								$category = $customfield->customfield_value; 
							}else if ($customfield->virtuemart_custom_id==9) {
								$subcategory = $customfield->customfield_value; 
							}else if ($customfield->virtuemart_custom_id==10) {
								$unit = $customfield->customfield_value; 								
							}else if ($customfield->virtuemart_custom_id==11) {
								$size = $customfield->customfield_value; 								
							}else if ($customfield->virtuemart_custom_id==12) {
								$core = $customfield->customfield_value; 								
							}else if ($customfield->virtuemart_custom_id==13) {
								$thickness = $customfield->customfield_value; 								
							}else if ($customfield->virtuemart_custom_id==14) {
								$finish = $customfield->customfield_value; 
							}else if ($customfield->virtuemart_custom_id==15) {
								$ornament = $customfield->customfield_value; 
							}else if ($customfield->virtuemart_custom_id==16) {
								$rabbet = dec2fraction($customfield->customfield_value); 
							}else if ($customfield->virtuemart_custom_id==19) {
								$sheet_price = round( $customfield->customfield_value, 2); 
							}else if ($customfield->virtuemart_custom_id==20) {
								$qb1_price = round( $customfield->customfield_value, 2); 
							} else if ($customfield->virtuemart_custom_id==21) {
								$qb2_price = round( $customfield->customfield_value,2); 
							} else if ($customfield->virtuemart_custom_id==22) {
								$qb3_price = round( $customfield->customfield_value, 2); 
							}
						}					
						
						
						$verified_category_id = $this->product->virtuemart_category_id;
						if ($this->product->virtuemart_category_id==16) {
							foreach($this->product->categoryItem as $varcategory){
								
								if ($varcategory['virtuemart_category_id'] != 16) {
									$verified_category_id = $varcategory['virtuemart_category_id'];
									break;
								}
							}
						}						
						
					?>
					<h4 class="mainProdDescTitle" itemprop="name"><?php echo $this->product->product_name ?></h4>
					<h4><?php if(!empty($this->product->product_sku)) echo '<div class="clsProdDetKey">Item Number:</div> <div class="clsProdDetVal">'.$this->product->product_sku . '</div>' ?></h4>
					<h4><?php if(!empty($this->product->product_name)) echo '<div class="clsProdDetKey">Product Desc:</div> <div class="clsProdDetVal">'.$this->product->product_name . '</div>'?></h4>
					
					<?php if($verified_category_id==1) {?>
					
					<h4><?php if(!empty($finish)) echo '<div class="clsProdDetKey">Finish:</div> <div class="clsProdDetVal">'.$finish . '</div>'?></h4>
					<h4><?php if(!empty($ornament)) echo '<div class="clsProdDetKey">Ornament:</div> <div class="clsProdDetVal">'.$ornament . '</div>'?></h4>
					<h4><?php if(!empty($rabbet)) echo '<div class="clsProdDetKey">Rabbet:</div> <div class="clsProdDetVal">'.$rabbet . '</div>'?></h4>
					<h4><?php if(!empty($availability)) echo '<div class="clsProdDetKey">Availability:</div> <div class="clsProdDetVal">'.$availability. '</div>' ?></h4>
					
					
					<?php 					
					} else if ($verified_category_id==3 || $verified_category_id==4 || $verified_category_id==5) {
					?>
					<h4><?php if(!empty($vendor_name)) echo '<div class="clsProdDetKey">Vendor Name:</div> <div class="clsProdDetVal">'.$vendor_name. '</div>' ?></h4>
					<h4><?php if(!empty($type)) echo '<div class="clsProdDetKey">Type:</div> <div class="clsProdDetVal">'.$type. '</div>' ?></h4>
					<h4><?php if(!empty($category)) echo '<div class="clsProdDetKey">Category:</div> <div class="clsProdDetVal">'.$category. '</div>' ?></h4>
					<h4><?php if(!empty($unit)) echo '<div class="clsProdDetKey">Unit:</div> <div class="clsProdDetVal">'.$unit. '</div>' ?></h4>
					<h4><?php if(!empty($availability)) echo '<div class="clsProdDetKey">Availability:</div> <div class="clsProdDetVal">'.$availability. '</div>' ?></h4>
					<?php 					
					} else if ($verified_category_id==7 || $verified_category_id==8 || $verified_category_id==13 || $verified_category_id==14 || $verified_category_id==22) {
					?>
					<?php 					
					if ($verified_category_id==8 || $verified_category_id==13 || $verified_category_id==14 || $verified_category_id==22) {
					?>
					<h4><?php if(!empty($unit)) echo '<div class="clsProdDetKey">Unit:</div> <div class="clsProdDetVal">'.$unit. '</div>' ?></h4>
					<?php
					}
					?>
					<h4><?php if(!empty($type)) echo '<div class="clsProdDetKey">Type:</div> <div class="clsProdDetVal">'.$type. '</div>' ?></h4>
					<h4><?php if(!empty($category)) echo '<div class="clsProdDetKey">Category:</div> <div class="clsProdDetVal">'.$category. '</div>' ?></h4>
					<?php 					
					if ($verified_category_id==8 || $verified_category_id==13 || $verified_category_id==14 || $verified_category_id==22) {
					?>
					<h4><?php if(!empty($subcategory)) echo '<div class="clsProdDetKey">Sub-Category:</div> <div class="clsProdDetVal">'.$subcategory. '</div>' ?></h4>
					<?php
					}
					?>
					<h4><?php if(!empty($availability)) echo '<div class="clsProdDetKey">Availability:</div> <div class="clsProdDetVal">'.$availability. '</div>' ?></h4>
					<?php 					
					} else if ($verified_category_id==10 ) {
					?>
					<h4><?php if(!empty($vendor_name)) echo '<div class="clsProdDetKey">Vendor Name:</div> <div class="clsProdDetVal">'.$vendor_name. '</div>' ?></h4>
					<h4><?php if(!empty($size)) echo '<div class="clsProdDetKey">Mat Size:</div> <div class="clsProdDetVal">'.$size. '</div>' ?></h4>
					<h4><?php if(!empty($type)) echo '<div class="clsProdDetKey">Type:</div> <div class="clsProdDetVal">'.$type. '</div>' ?></h4>
					<h4><?php if(!empty($category)) echo '<div class="clsProdDetKey">Category:</div> <div class="clsProdDetVal">'.$category. '</div>' ?></h4>
					<h4><?php if(!empty($core)) echo '<div class="clsProdDetKey">Core:</div> <div class="clsProdDetVal">'.$core. '</div>' ?></h4>
					<h4><?php if(!empty($thickness)) echo '<div class="clsProdDetKey">Thickness:</div> <div class="clsProdDetVal">'.$thickness. '</div>' ?></h4>
					<h4><?php if(!empty($availability)) echo '<div class="clsProdDetKey">Availability:</div> <div class="clsProdDetVal">'.$availability. '</div>' ?></h4>
					
					
					<?php 					
					} else if ($verified_category_id==11 ) {
					?>
					<h4><?php if(!empty($vendor_name)) echo '<div class="clsProdDetKey">Vendor Name:</div> <div class="clsProdDetVal">'.$vendor_name. '</div>' ?></h4>
					<h4><?php if(!empty($size)) echo '<div class="clsProdDetKey">Foam Size:</div> <div class="clsProdDetVal">'.$size. '</div>' ?></h4>
					<h4><?php if(!empty($type)) echo '<div class="clsProdDetKey">Type:</div> <div class="clsProdDetVal">'.$type . '</div>'?></h4>
					<h4><?php if(!empty($category)) echo '<div class="clsProdDetKey">Category:</div> <div class="clsProdDetVal">'.$category. '</div>' ?></h4>
					<h4><?php if(!empty($availability)) echo '<div class="clsProdDetKey">Availability:</div> <div class="clsProdDetVal">'.$availability. '</div>' ?></h4>
					<?php
					}
					?>
					<?php
						$user = &JFactory::getUser();
					    if($user->id > 0){
						  $group_id = 3;
						  $group_name = "";
						  $artist = 0;
						  $userGroups = $user->getAuthorisedGroups();
						   for($i=0; $i<count($userGroups); $i++){
								if($userGroups[$i]==$group_id) break;
							}
							if($userGroups[$i]==$group_id) {
								$group_name = "Wholesale";
							} else {
								$group_name = "Artist";
							}
							
							if($group_name=="Artist") {
								$artist = VmConfig::get('artist_user_config',0);
							}
					?>
					<?php if($verified_category_id==1) {?>

					
					<h4><?php if(!empty($this->product->prices['product_price'])) echo '<div class="clsProdDetKey">Length Price:</div> <div class="clsProdDetVal"><b>$'. number_format((float) ($this->product->prices['product_price'] + ( $this->product->prices['product_price'] * ($artist/100) ) ), 2, '.', '') . '</b>'. '</div>'?></h4>
					<h4><?php if(!empty($chop_price)) echo '<div class="clsProdDetKey">Chop Price:</div> <div class="clsProdDetVal"><b>$'. number_format((float)($chop_price + ( $chop_price * ($artist/100) ) ) , 2, '.', '').'</b>'. '</div>' ?></h4>
					<h4><?php if(!empty($join_price)) echo '<div class="clsProdDetKey">Join Price:</div> <div class="clsProdDetVal"><b>$'. number_format((float)($join_price + ( $join_price * ($artist/100) ) ) , 2, '.', '').'</b>'. '</div>'?></h4>
					
					<?php if ($group_name=="Wholesale") {
					?>
						<h4><?php if(!empty($qb1_price)) echo '<div class="clsProdDetKey">QB1 Price:</div> <div class="clsProdDetVal"><b>$'.number_format((float) $qb1_price, 2, '.', '').'</b>'. '</div>' ?></h4>
						<h4><?php if(!empty($qb2_price)) echo '<div class="clsProdDetKey">QB2 Price:</div> <div class="clsProdDetVal"><b>$'.number_format((float) $qb2_price, 2, '.', '').'</b>' . '</div>'?></h4>
						<h4><?php if(!empty($qb3_price)) echo '<div class="clsProdDetKey">QB3 Price:</div> <div class="clsProdDetVal"><b>$'.number_format((float) $qb3_price, 2, '.', '').'</b>' . '</div>'?></h4>
					<?php
					}
					?>
					
					<?php 					
					} else if ($verified_category_id==7) {
					?>					
					<h4><?php if(!empty($this->product->prices['product_price'])) echo '<div class="clsProdDetKey">Price:</div> <div class="clsProdDetVal"><b>$'. number_format((float)($this->product->prices['product_price'] + ( $this->product->prices['product_price'] * ($artist/100) ) ) , 2, '.', '') . '</b>'. '</div>'?></h4>
					<h4><?php if(!empty($chop_price)) echo '<div class="clsProdDetKey">Chop Price:</div> <div class="clsProdDetVal"><b>$'. number_format((float) ($chop_price + ( $chop_price * ($artist/100) ) ), 2, '.', '') . '</b>'. '</div>' ?></h4>			

					<?php if ($group_name=="Wholesale") {
					?>
						<h4><?php if(!empty($qb1_price)) echo '<div class="clsProdDetKey">QB1 Price:</div> <div class="clsProdDetVal"><b>$'.number_format((float) $qb1_price, 2, '.', '').'</b>'. '</div>' ?></h4>
						<h4><?php if(!empty($qb2_price)) echo '<div class="clsProdDetKey">QB2 Price:</div> <div class="clsProdDetVal"><b>$'.number_format((float) $qb2_price, 2, '.', '').'</b>' . '</div>'?></h4>
						<h4><?php if(!empty($qb3_price)) echo '<div class="clsProdDetKey">QB3 Price:</div> <div class="clsProdDetVal"><b>$'.number_format((float) $qb3_price, 2, '.', '').'</b>' . '</div>'?></h4>
					<?php
					}
					?>
					
					<?php 					
					} else if ($verified_category_id==3 || $verified_category_id==4 || $verified_category_id==5 || $verified_category_id==8 || $verified_category_id==10 || $verified_category_id==13 || $verified_category_id==14  || $verified_category_id==22) {
					?>
					<h4><?php if(!empty($this->product->prices['product_price'])) echo '<div class="clsProdDetKey">Price:</div> <div class="clsProdDetVal"><b>$'. number_format((float) ($this->product->prices['product_price'] + ( $this->product->prices['product_price'] * ($artist/100) ) ), 2, '.', '') . '</b>'. '</div>'?></h4>
					
					<?php if ($group_name=="Wholesale") {
					?>
						<h4><?php if(!empty($qb1_price)) echo '<div class="clsProdDetKey">QB1 Price:</div> <div class="clsProdDetVal"><b>$'.number_format((float) $qb1_price, 2, '.', '').'</b>'. '</div>' ?></h4>
						<h4><?php if(!empty($qb2_price)) echo '<div class="clsProdDetKey">QB2 Price:</div> <div class="clsProdDetVal"><b>$'.number_format((float) $qb2_price, 2, '.', '').'</b>' . '</div>'?></h4>
						<h4><?php if(!empty($qb3_price)) echo '<div class="clsProdDetKey">QB3 Price:</div> <div class="clsProdDetVal"><b>$'.number_format((float) $qb3_price, 2, '.', '').'</b>' . '</div>'?></h4>
					<?php
					}
					?>					
					
					<?php 					
					} else if ($verified_category_id==11) {
					?>
					<h4><?php if(!empty($this->product->prices['product_price'])) echo '<div class="clsProdDetKey">Case Price:</div> <div class="clsProdDetVal"><b>$'. number_format((float) ($this->product->prices['product_price'] + ( $this->product->prices['product_price'] * ($artist/100) ) ), 2, '.', '') . '</b>'. '</div>'?></h4>					
					
					<h4><?php if(!empty($sheet_price)) echo '<div class="clsProdDetKey">Sheet Price:</div> <div class="clsProdDetVal"><b>$'. number_format((float) $sheet_price, 2, '.', '') .'</b>'. '</div>' ?> </h4>					
					
					<?php if ($group_name=="Wholesale") {
					?>
						<h4><?php if(!empty($qb1_price)) echo '<div class="clsProdDetKey">QB1 Price:</div> <div class="clsProdDetVal"><b>$'.number_format((float) $qb1_price, 2, '.', '').'</b>'. '</div>' ?></h4>
						<h4><?php if(!empty($qb2_price)) echo '<div class="clsProdDetKey">QB2 Price:</div> <div class="clsProdDetVal"><b>$'.number_format((float) $qb2_price, 2, '.', '').'</b>'. '</div>' ?></h4>
						<h4><?php if(!empty($qb3_price)) echo '<div class="clsProdDetKey">QB3 Price:</div> <div class="clsProdDetVal"><b>$'.number_format((float) $qb3_price, 2, '.', '').'</b>'. '</div>' ?></h4>
					<?php
					}
					?>

					
					<?php
					}
					?>

					
					<?php
					}
					?>
						
	
	
	
	
	
	
	
	
	
	    <div class="spacer-buy-area">

		<?php
		// TODO in Multi-Vendor not needed at the moment and just would lead to confusion
		/* $link = JRoute::_('index2.php?option=com_virtuemart&view=virtuemart&task=vendorinfo&virtuemart_vendor_id='.$this->product->virtuemart_vendor_id);
		  $text = vmText::_('COM_VIRTUEMART_VENDOR_FORM_INFO_LBL');
		  echo '<span class="bold">'. vmText::_('COM_VIRTUEMART_PRODUCT_DETAILS_VENDOR_LBL'). '</span>'; ?><a class="modal" href="<?php echo $link ?>"><?php echo $text ?></a><br />
		 */
		?>

		<?php
		echo shopFunctionsF::renderVmSubLayout('rating', array('showRating' => $this->showRating, 'product' => $this->product));

		$productDisplayTypes = array('productDisplayShipments', 'productDisplayPayments');
		foreach ($productDisplayTypes as $productDisplayType) {

			if(empty($this->$productDisplayType)){
				continue;
			} else if (!is_array($this->$productDisplayType)) {
				$this->$productDisplayType = array($this->$productDisplayType);
			}

			foreach ($this->$productDisplayType as $productDisplay) {

				if(empty($productDisplay)){
					continue;
				} else if (!is_array($productDisplay)){
					$productDisplay = array($productDisplay);
				}

				foreach ($productDisplay as $virtuemart_method_id =>$productDisplayHtml) {
					?>
					<div class="<?php echo substr($productDisplayType, 0, -1) ?> <?php echo substr($productDisplayType, 0, -1).'-'.$virtuemart_method_id ?>">
						<?php
						echo $productDisplayHtml;
						?>
					</div>
					<?php
				}
			}
		}

		//In case you are not happy using everywhere the same price display fromat, just create your own layout
		//in override /html/fields and use as first parameter the name of your file
		//echo shopFunctionsF::renderVmSubLayout('prices',array('product'=>$this->product,'currency'=>$this->currency));
		?> <div class="clear"></div>
		
		<?php
		echo shopFunctionsF::renderVmSubLayout('addtocart',array('product'=>$this->product));

		echo shopFunctionsF::renderVmSubLayout('stockhandle',array('product'=>$this->product));

		// Ask a question about this product
		if (VmConfig::get('ask_question', 0) == 1) {
			$askquestion_url = JRoute::_('index.php?option=com_virtuemart&view=productdetails&task=askquestion&virtuemart_product_id=' . $this->product->virtuemart_product_id . '&virtuemart_category_id=' . $this->product->virtuemart_category_id . '&tmpl=component', FALSE);
			?>
			<div class="ask-a-question">
				<a class="ask-a-question" href="<?php echo $askquestion_url ?>" rel="nofollow" ><?php echo vmText::_('COM_VIRTUEMART_PRODUCT_ENQUIRY_LBL') ?></a>
			</div>
		<?php
		}
		?>

		<?php
		// Manufacturer of the Product
		if (VmConfig::get('show_manufacturers', 1) && !empty($this->product->virtuemart_manufacturer_id)) {
		    echo $this->loadTemplate('manufacturer');
		}
		?>

	    </div>
	</div>
	<div class="clear"></div>


    </div>
<?php
	$count_images = count ($this->product->images);
	if ($count_images > 1) {
		echo $this->loadTemplate('images_additional');
	}

	// event onContentBeforeDisplay
	echo $this->product->event->beforeDisplayContent; ?>

	<?php
	//echo ($this->product->product_in_stock - $this->product->product_ordered);
	// Product Description
	if (!empty($this->product->product_desc)) {
	    ?>
        <div class="hide product-description" >
	<?php /** @todo Test if content plugins modify the product description */ ?>
    	<span class="title"><?php echo vmText::_('COM_VIRTUEMART_PRODUCT_DESC_TITLE') ?></span>
	<?php echo $this->product->product_desc; ?>
        </div>
	<?php
    } // Product Description END

	//echo shopFunctionsF::renderVmSubLayout('customfields',array('product'=>$this->product,'position'=>'normal'));

    // Product Packaging
    $product_packaging = '';
    if ($this->product->product_box) {
	?>
        <div class="product-box">
	    <?php
	        echo vmText::_('COM_VIRTUEMART_PRODUCT_UNITS_IN_BOX') .$this->product->product_box;
	    ?>
        </div>
    <?php } // Product Packaging END ?>

    <?php 
	echo shopFunctionsF::renderVmSubLayout('customfields',array('product'=>$this->product,'position'=>'onbot'));

  echo shopFunctionsF::renderVmSubLayout('customfields',array('product'=>$this->product,'position'=>'related_products','class'=> 'product-related-products','customTitle' => true ));

	echo shopFunctionsF::renderVmSubLayout('customfields',array('product'=>$this->product,'position'=>'related_categories','class'=> 'product-related-categories'));

	?>

<?php // onContentAfterDisplay event
echo $this->product->event->afterDisplayContent;

echo $this->loadTemplate('reviews');

// Show child categories
if ($this->cat_productdetails)  {
	echo $this->loadTemplate('showcategory');
}

$j = 'jQuery(document).ready(function($) {
	$("form.js-recalculate").each(function(){
		if ($(this).find(".product-fields").length && !$(this).find(".no-vm-bind").length) {
			var id= $(this).find(\'input[name="virtuemart_product_id[]"]\').val();
			Virtuemart.setproducttype($(this),id);

		}
	});
});';
//vmJsApi::addJScript('recalcReady',$j);

if(VmConfig::get ('jdynupdate', TRUE)){

	/** GALT
	 * Notice for Template Developers!
	 * Templates must set a Virtuemart.container variable as it takes part in
	 * dynamic content update.
	 * This variable points to a topmost element that holds other content.
	 */
	$j = "Virtuemart.container = jQuery('.productdetails-view');
Virtuemart.containerSelector = '.productdetails-view';
//Virtuemart.recalculate = true;	//Activate this line to recalculate your product after ajax
";

	vmJsApi::addJScript('ajaxContent',$j);

	$j = "jQuery(document).ready(function($) {
	Virtuemart.stopVmLoading();
	var msg = '';
	$('a[data-dynamic-update=\"1\"]').off('click', Virtuemart.startVmLoading).on('click', {msg:msg}, Virtuemart.startVmLoading);
	$('[data-dynamic-update=\"1\"]').off('change', Virtuemart.startVmLoading).on('change', {msg:msg}, Virtuemart.startVmLoading);
});";

	vmJsApi::addJScript('vmPreloader',$j);
}

echo vmJsApi::writeJS();

if ($this->product->prices['salesPrice'] > 0) {
  echo shopFunctionsF::renderVmSubLayout('snippets',array('product'=>$this->product, 'currency'=>$this->currency, 'showRating'=>$this->showRating));
}

?>
</div>



